List targeting dimension values
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/targeting/dimensions/{system} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/targeting/dimensions/{system}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/targeting/dimensions/{system}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"system": "nielsen_dma",
"name": "Nielsen DMA",
"description": "<string>",
"locale": "en-US",
"targetingFields": [
"geo_metros",
"geo_metros_exclude"
],
"entries": [
{
"code": "532",
"name": "Albany-Schenectady-Troy"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Campaigns
List targeting dimension values
List code-name pairs for a targeting dimension. Send only returned codes in campaign constraints.
GET
/
targeting
/
dimensions
/
{system}
List targeting dimension values
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/targeting/dimensions/{system} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/targeting/dimensions/{system}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/targeting/dimensions/{system}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"system": "nielsen_dma",
"name": "Nielsen DMA",
"description": "<string>",
"locale": "en-US",
"targetingFields": [
"geo_metros",
"geo_metros_exclude"
],
"entries": [
{
"code": "532",
"name": "Albany-Schenectady-Troy"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Supported targeting dimension system
Available options:
nielsen_dma Example:
"nielsen_dma"
Query Parameters
Display-label locale. Currently only en-US is supported.
Available options:
en-US Example:
"en-US"
Response
List targeting dimension values
Targeting dimension codes and localized display labels for buyer-side display and input resolution.
Supported targeting dimension system
Available options:
nielsen_dma Example:
"nielsen_dma"
Human-readable dimension name
Example:
"Nielsen DMA"
What this targeting dimension represents
Locale for the display labels
Available options:
en-US Example:
"en-US"
Campaign constraint fields that accept this dimension
Example:
["geo_metros", "geo_metros_exclude"]
Known code-name pairs for this system
Show child attributes
Show child attributes